
Figure - Bug #116642
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】打开一个应用，五指抓（缓慢），松手后再快速的五指抓一次，应用页面卡住
，没有返回桌面
2023-03-01 18:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-01

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 客户jira bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

Reproducibility: Every time Fixed Version: 2023-03-07

Test Type: ST Root cause: 问题原因��上一次多指手势状态还在恢复的过程中，新的多指手势被立刻触发了，��导致状态的异常，恢复并未完成，界面被卡主��问题处理��在新的多指触发需要检查上一次多指的恢复状态，拦截掉可能会导致异常的事件

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开一个应用

2、五指抓（缓慢）

3、松手后再快速的五指抓一次

【预期结果】

3、返回桌面

【实际结果】

3、应用页面卡住，没有返回桌面

【复现率】

3/3

Related issues:

Related to Figure - Bug # 116994: 【AF】【EVT3】【系统手势】多次打开不同应... CLOSED 2023-03-16

History

#1 - 2023-03-02 11:03 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW王武军

武军帮忙看下这个五指抓手势问题。

#2 - 2023-03-03 18:07 - CD FW王武军

【】当前状态

确认现象，复现问题

【】分析处理
问题发生原因是：上次的多指手势还在执行过程中，新的多指手势已经触发，导致了状态的混乱，界面出现问题。

处理方式：在上次的多指手势完成后，才能进行新的多指手势逻辑。

具体表现就是：在上次多指手势在恢复状态时，新的多指手势被拦截，在上次多指手势完成后，需要手指离开

屏幕，重新进行多指的滑动才能触发多指手势。

#3 - 2023-03-06 14:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185670 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

FW:Gesture: fix mutil gesture issueThe new event input when mutil-gestureworking,so need add logic to intercept theinvalid event keep mutil-gesture

restorenormal state.TC-RID: 1201-0205203IssueID: TS-R-BUG-116642Change-Id: I33d079a2152d9196708cea3329aebea18562f269

#4 - 2023-03-06 14:46 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-07

- Root cause set to 问题原因

上一次多指手势状态还在恢复的过程中，新的多指手势被立刻触发了，

导致状态的异常，恢复并未完成，界面被卡主

问题处理

在新的多指触发需要检查上一次多指的恢复状态，拦截掉可能会导致异常的事件

#5 - 2023-03-06 14:47 - CD FW王武军

- % Done changed from 0 to 100

#6 - 2023-03-08 14:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303080018

3.8

验证通过

#7 - 2023-03-08 14:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230301-172934.mp4 9.18 MB 2023-03-01 CD TEST-方永红
